Image::ExifTool::JPEGDigest(3)

NAME
Image::ExifTool::JPEGDigest - Calculate JPEGDigest and JPEGQualityEstimate

SYNOPSIS
This module is used by Image::ExifTool

DESCRIPTION
This module contains a lookup for values of the JPEG DQT digest, allowing some image identification from JPEG data alone. It also calculates an estimated JPEG quality if requested.

AUTHOR
Copyright 2003-2024, Phil Harvey (philharvey66 at gmail.com)

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

REFERENCES

<https://github.com/ImageMagick/ImageMagick/blob/master/coders/jpeg.c>

ACKNOWLEDGEMENTS
Thanks to Jens Duttke for most of the work that went into this module, and to Franz Buchinger for the values he added.

SEE ALSO
"JPEG Tags" in Image::ExifTool::TagNames, Image::ExifTool(3pm)